Name:           hwinfo
Version:        21.70
Release:        2
Summary:        Probe for hardware
License:        GPL+
URL:            https://github.com/openSUSE/hwinfo
Source0:        https://github.com/openSUSE/hwinfo/archive/%{version}/%{name}-%{version}.tar.gz

Recommends: %{name}-help = %{version}-%{release}
BuildRequires:  libx86emu-devel doxygen flex perl-XML-Parser pkgconfig udev util-linux-devel

%description
hwinfo is used to report the present hardware information in the system.
It is able to generate a system overview log about hardware.

%package 	devel
Summary:        The devel for %{name}
Requires:       %{name} = %{version}-%{release}

%description 	devel
The header files and libraries for developing %{name}.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
make LDFLAGS="%{__global_ldflags} -Lsrc" LIBDIR=%{_libdir} HWINFO_VERSION=%{version}

%install
%make_install LDFLAGS="%{__global_ldflags} -Lsrc" LIBDIR=%{_libdir} HWINFO_VERSION=%{version}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license COPYING
%{_sbindir}/*
%{_libdir}/libhd.so.*
%{_sharedstatedir}/hardware/udi

%files devel
%{_includedir}/hd.h
%{_libdir}/pkgconfig/hwinfo.pc
%{_libdir}/libhd.so

%files help
%doc *.md MAINTAINER
%{_datadir}/hwinfo

%changelog
* Wed Nov 11 2020 xinghe <xinghe1@huawei.com> - 21.70-2
- add help for Recommends

* Thu Aug 13 2020 xinghe <xinghe1@huawei.com> - 21.70-1
- update to 21.70

* Sat Apr 20 2019 liusirui<liusirui@huawei.com> - 21.47-5
- Type:bugfix
- ID:NA
- SUG:NA
- DESC: backport patch to fix save-config issues.

* Tue Apr 9 2019 liusirui<liusirui@huawei.com> - 21.47-4
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:backport patches from https://github.com/openSUSE/hwinfo

* Mon Apr 8 2019 openEuler Buildteam <buildteam@openeuler.org> - 21.47-3
- Package init
